### UpdateCamera

Category

Rendering

Function

Alters an existing camera.

Syntax

    camera = UpdateCamera(camera, to, from, width, resolution, aspect, up,
                    perspective, angle, background);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`camera` | camera | none | camera to be altered
`to` | vector or object | [0 0 0] | look-to point
`from` | vector or object | [0 0 1] | position of camera
`width` | scalar or object | 100 | width of field of view (for orthographic projection)
`resolution` | integer | 640 | horizontal resolution of image (in pixels)
`aspect` | scalar | 0.75 | height/width
`up` | vector | [0 1 0] | up direction
`perspective` | flag | 0 | 0: orthographic projection 1: perspective projection
`angle` | scalar | 30.0 | view angle (in degrees) (for perspective projection)
`background` | vector or string | "black" | image background color

Outputs

Name | Type | Description
--- | --- | ---
`camera` | camera | altered camera

Functional Details

The altered camera produced by this module is identical to the input `camera` except for the specified camera parameters (`to`, `from`, etc.). For a description of these parameters, see Camera.

See Also

AutoCamera, Camera, Color, Direction, Render

[ OpenDX Home at IBM | OpenDX.org ]